DecompressingHttpClient (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class DecompressingHttpClient

    java.lang.Object
      org.apache.http.impl.client.DecompressingHttpClient

All Implemented Interfaces:
  HttpClient

Deprecated. (4.3) use `HttpClientBuilder`

    @Deprecated
    public class DecompressingHttpClient

extends Object
implements HttpClient

Decorator adding support for compressed responses. This class sets the `Accept-Encoding` header on requests to indicate support for the `gzip` and `deflate` compression schemes; it then checks the `Content-Encoding` header on the response to uncompress any compressed response bodies. The `InputStream` of the entity will contain the uncompressed content.

N.B. Any upstream clients of this class need to be aware that this effectively obscures visibility into the length of a server response body, since the `Content-Length` header will correspond to the compressed entity length received from the server, but the content length experienced by reading the response body may be different (hopefully higher!).

That said, this decorator is compatible with the `CachingHttpClient` in that the two decorators can be added in either order and still have cacheable responses be cached.

Since:
  4.2

Constructor Summary
`DecompressingHttpClient()` Deprecated. Constructs a decorator to ask for and handle compressed entities on the fly.
`DecompressingHttpClient(HttpClient backend)` Deprecated. Constructs a decorator to ask for and handle compressed entities on the fly.

Method Summary
`org.apache.http.HttpResponse` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request)` Deprecated. Executes HTTP request using the default context.
`org.apache.http.HttpResponse` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request using the given context.
`
`<T> T`
` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, ResponseHandler<? extends T> responseHandler)` Deprecated. Executes HTTP request to the target using the default context and processes the response using the given response handler.
`
`<T> T`
` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, ResponseHandler<? extends T> responseHandler, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request to the target using the given context and processes the response using the given response handler.
`org.apache.http.HttpResponse` | `execute(HttpUriRequest request)` Deprecated. Executes HTTP request using the default context.
`org.apache.http.HttpResponse` | `execute(HttpUriRequest request, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request using the given context.
`
`<T> T`
` | `execute(HttpUriRequest request, ResponseHandler<? extends T> responseHandler)` Deprecated. Executes HTTP request using the default context and processes the response using the given response handler.
`
`<T> T`
` | `execute(HttpUriRequest request, ResponseHandler<? extends T> responseHandler, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request using the given context and processes the response using the given response handler.
`ClientConnectionManager` | `getConnectionManager()` Deprecated. Obtains the connection manager used by this client.
`HttpClient` | `getHttpClient()` Deprecated. Gets the HttpClient to issue request.
`org.apache.http.params.HttpParams` | `getParams()` Deprecated. Obtains the parameters for this client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecompressingHttpClient

    public DecompressingHttpClient()

  Deprecated.
  Constructs a decorator to ask for and handle compressed entities on the fly.

### DecompressingHttpClient

    public DecompressingHttpClient(HttpClient backend)

  Deprecated.
  Constructs a decorator to ask for and handle compressed entities on the fly.

  Parameters:
    `backend` - the `HttpClient` to use for actually issuing requests

Method Detail

### getParams

    public org.apache.http.params.HttpParams getParams()

  Deprecated.
  Description copied from interface: `HttpClient`
  Obtains the parameters for this client. These parameters will become defaults for all requests being executed with this client, and for the parameters of dependent objects in this client.

  Specified by:
    `getParams` in interface `HttpClient`
  Returns:
    the default parameters

### getConnectionManager

    public ClientConnectionManager getConnectionManager()

  Deprecated.
  Description copied from interface: `HttpClient`
  Obtains the connection manager used by this client.

  Specified by:
    `getConnectionManager` in interface `HttpClient`
  Returns:
    the connection manager

### execute

    public org.apache.http.HttpResponse execute(HttpUriRequest request)
                                         throws IOException,
                                                ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request using the default context.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `request` - the request to execute
  Returns:
    the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

### getHttpClient

    public HttpClient getHttpClient()

  Deprecated.
  Gets the HttpClient to issue request.

  Returns:
    the HttpClient to issue request

### execute

    public org.apache.http.HttpResponse execute(HttpUriRequest request,
                                                org.apache.http.protocol.HttpContext context)
                                         throws IOException,
                                                ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request using the given context.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `request` - the request to execute
    `context` - the context to use for the execution, or `null` to use the default context
  Returns:
    the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

### execute

    public org.apache.http.HttpResponse execute(org.apache.http.HttpHost target,
                                                org.apache.http.HttpRequest request)
                                         throws IOException,
                                                ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request using the default context.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
  Returns:
    the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

### execute

    public org.apache.http.HttpResponse execute(org.apache.http.HttpHost target,
                                                org.apache.http.HttpRequest request,
                                                org.apache.http.protocol.HttpContext context)
                                         throws IOException,
                                                ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request using the given context.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
    `context` - the context to use for the execution, or `null` to use the default context
  Returns:
    the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

### execute

    public <T> T execute(HttpUriRequest request,
                         ResponseHandler<? extends T> responseHandler)
              throws IOException,
                     ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request using the default context and processes the response using the given response handler.

  Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `request` - the request to execute
    `responseHandler` - the response handler
  Returns:
    the response object as generated by the response handler.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

### execute

    public <T> T execute(HttpUriRequest request,
                         ResponseHandler<? extends T> responseHandler,
                         org.apache.http.protocol.HttpContext context)
              throws IOException,
                     ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request using the given context and processes the response using the given response handler.

  Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `request` - the request to execute
    `responseHandler` - the response handler
    `context` - the context to use for the execution, or `null` to use the default context
  Returns:
    the response object as generated by the response handler.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

### execute

    public <T> T execute(org.apache.http.HttpHost target,
                         org.apache.http.HttpRequest request,
                         ResponseHandler<? extends T> responseHandler)
              throws IOException,
                     ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request to the target using the default context and processes the response using the given response handler.

  Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
    `responseHandler` - the response handler
  Returns:
    the response object as generated by the response handler.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

### execute

    public <T> T execute(org.apache.http.HttpHost target,
                         org.apache.http.HttpRequest request,
                         ResponseHandler<? extends T> responseHandler,
                         org.apache.http.protocol.HttpContext context)
              throws IOException,
                     ClientProtocolException

  Deprecated.
  Description copied from interface: `HttpClient`
  Executes HTTP request to the target using the given context and processes the response using the given response handler.

  Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

  Specified by:
    `execute` in interface `HttpClient`
  Parameters:
    `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
    `responseHandler` - the response handler
    `context` - the context to use for the execution, or `null` to use the default context
  Returns:
    the response object as generated by the response handler.
  Throws:
    `IOException` - in case of a problem or the connection was aborted
    `ClientProtocolException` - in case of an http protocol error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.